<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>The Diabetes Quiz That Everyone With Blood-Sugar Issues Should Take!</title>
    <meta name="description" content="The Diabetes Quiz That Everyone With Blood-Sugar Issues Should Take!">
    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.2/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-uWxY/CJNBR+1zjPWmfnSnVxwRheevXITnMqoEIeG1LJrdI0GlVs/9cVSyPYXdcSF"
      crossorigin="anonymous"
    />
    <style>
      body {
        background-image: url("./assets/bg.jpg"); 
        background-attachment: fixed;
        background-size: cover;
        background-position: center;
      }
      h1,
      h2,
      h3,
      h4,
      h5,
      h6,
      p,
      a,
      input,
      button,
      label {
        font-family: sans-serif;
        color: #2f2f2f;
      }
      .ads-section {
        margin-bottom: 70px;
      }
      .ads-section .container-xl {
        background-color: rgba(255, 255, 255, 0.8);
      }
      .ads-section .ternary-text {
        font-size: 12px;
        margin-top: 2px;
        margin-bottom: 0;
      }
      .ads-section .primary-text {
        font-size: 38px;
        line-height: 1.3em;
        margin-top: 16px; 
      }
      .ads-section .secondary-text {
        font-size: 24px;
        margin-top: 6px;
        margin-bottom: 36px;
      }
      
      .quiz-section .container-xl {
        background-color: rgba(255, 255, 255, 0.8);
      }
      .quiz-section .title-wrapper .primary-text {
        font-size: 58px;
        line-height: 1.3em;
        text-align: center;
        margin: 10px 0 0;
      }
      .quiz-section .title-wrapper .secondary-text {
        font-size: 20px;
        line-height: 1.3em;
        text-align: center;
        margin: 0;
      }
      .quiz-section .form-wrapper .intro-wrapper .primary-text {
        margin-top: 36px;
        font-size: 28px;
        line-height: 1.3em;
      }
      .quiz-section .form-wrapper .intro-wrapper .secondary-text {
        font-size: 14px;
        line-height: 1.3em;
      }
      .quiz-section .form-wrapper form {
        padding: 0 20px 30px;
      }
      @media screen and (min-width: 768px) {
        .quiz-section .form-wrapper form input[type=email] {
          max-width: 50%;
        }
      }
      .quiz-section .form-wrapper .question-text {
        margin-top: 40px;
        margin-bottom: 35px;
        font-weight: bold;
        font-size: 24px;
        text-align: center;
      }
      .quiz-section .form-wrapper fieldset {
        padding: 15px 10px;
        display: none;
      }
      .quiz-section .form-wrapper fieldset div {
        padding: 10px;
        border-radius: 4px;
        display: flex;
      }
      .quiz-section .form-wrapper fieldset div:hover {
        background-color: #0e8dc7;
        transform: scale(1.03);
        box-shadow: 0 2px 6px rgb(0 0 0 / 14%), inset 0 0 0 2px rgb(255 255 255 / 16%);
      }
      .quiz-section .form-wrapper fieldset label {
        font-size: 16px;
        padding-left: 15px;
        flex-grow: 1;
      }
      .quiz-section .form-wrapper fieldset div:hover label {
        color: #fff;
      }
      .quiz-section .form-wrapper fieldset.show {
        display: block;
      }
      .quiz-section .form-wrapper form legend {
        display: none;
      }
      .quiz-section .form-wrapper .submit-area {
        display: none;
      }
      .quiz-section .form-wrapper .submit-area label {
        font-size: 28px;
        line-height: 1.3em;
      }

      .footer-section {
        margin-top: 100px;
        padding-top: 80px;
      }
      .footer-section .wrapper {
        background-color: rgb(235, 235, 235);
      }
      .footer-section .wrapper h2 {
        font-size: 16px;
        opacity: .8;
      }
      .footer-section .wrapper a {
        color: rgb(14, 88, 235);
      }
      .footer-section .link-wrapper {
        padding-top: 30px;
        padding-bottom: 30px;
      }
      .footer-section ul {
        list-style-type: none;
        padding: 0;
        margin: 0;
      }
      .footer-section ul a {
        display: inline-block;
        margin-top: 15px;
        font-size: 16px;
        color: rgb(23, 23, 23);
        text-decoration: none;
      }
      .footer-section .link-wrapper .col-12 > span {
        font-size: 10px;
        width: 100%;
      }

      @media screen and (min-width: 768px) {
        .footer-section .link-wrapper .col-12 > span {
          width: auto;
        }
      }

      .spin-wrapper {
        display: none;
        background-color: #0001;
      }
      .spin-wrapper.show {
        display: flex;
      }
    </style>
  </head>
  <body>
    <section class="ads-section">
      <div class="container-xl">
        <div class="row">
          <div class="col-12">
            <h2 class="text-center ternary-text">ADVERTISEMENT</h2>
            <h1 class="text-center primary-text"><b>New Video Everyone With Diabetes Should See!</b></h1>
            <h2 class="text-center secondary-text">Take the quiz below to access the presentation now</h2>
          </div>
        </div>
      </div>
    </section>

    <section class="quiz-section">
      <div class="container-xl">
        <div class="row title-wrapper">
          <div class="col-12">
            <p class="primary-text">
              <u>Diabetes Quiz</u>
            </p>
            <p class="secondary-text">
              <i>If you or someone you love is suffering from diabetes, you should take this quiz immediately...</i>
            </p>
          </div>
        </div>
        <div class="row form-wrapper">
          <div class="col-12">
            <div class="intro-wrapper">
              <p class="primary-text text-center">
                Answer the below questions and gain immediate access to the <u>video presentation</u>:
              </p>
              <p class="secondary-text text-center">
                <i>Information 100% confidential</i>
              </p>
            </div>
            <form>
              <div class="quiz-area">
                <p class="question-text">How old</p>
                <div class="progress" style="height: 10px;">
                  <div class="progress-bar" role="progressbar" style="width: 0;background-color: #0e8dc7;" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100"></div>
                </div>
                <fieldset>
                  <legend>Are you male or female?</legend>
                  <div>
                    <input type="radio" name="quiz1" id="quiz1_1" value="Male">
                    <label for="quiz1_1">Male</label>
                  </div>
                  <div>
                    <input type="radio" name="quiz1" id="quiz1_2" value="Female">
                    <label for="quiz1_2">Female</label>
                  </div>
                </fieldset>
                <fieldset>
                  <legend>What age are you?</legend>
                  <div>
                    <input type="radio" name="quiz2" id="quiz2_1" value="Under 35">
                    <label for="quiz2_1">Under 35</label>
                  </div>
                  <div>
                    <input type="radio" name="quiz2" id="quiz2_2" value="35 - 45">
                    <label for="quiz2_2">35 - 45</label>
                  </div>
                  <div>
                    <input type="radio" name="quiz2" id="quiz2_3" value="45 - 55">
                    <label for="quiz2_3">45 - 55</label>
                  </div>
                  <div>
                    <input type="radio" name="quiz2" id="quiz2_4" value="55 - 65">
                    <label for="quiz2_4">55 - 65</label>
                  </div>
                  <div>
                    <input type="radio" name="quiz2" id="quiz2_5" value="65 +">
                    <label for="quiz2_5">65 +</label>
                  </div>
                </fieldset>
                <fieldset>
                  <legend>How long have you struggled with diabetes?</legend>
                  <div>
                    <input type="radio" name="quiz3" id="quiz3_1" value="Less than 5 Years">
                    <label for="quiz3_1">Less than 5 years</label>
                  </div>
                  <div>
                    <input type="radio" name="quiz3" id="quiz3_2" value="5 - 10 Years">
                    <label for="quiz3_2">5 - 10 Years</label>
                  </div>
                  <div>
                    <input type="radio" name="quiz3" id="quiz3_3" value="10 - 20 Years">
                    <label for="quiz3_3">10 - 20 Years</label>
                  </div>
                  <div>
                    <input type="radio" name="quiz3" id="quiz3_4" value="Over 20 Years">
                    <label for="quiz3_4">Over 20 Years</label>
                  </div>
                </fieldset>
                <fieldset>
                  <legend>How much of an impact does diabetes have on your quality of life?</legend>
                  <div>
                    <input type="radio" name="quiz4" id="quiz4_1" value="Minor">
                    <label for="quiz4_1">Minor</label>
                  </div>
                  <div>
                    <input type="radio" name="quiz4" id="quiz4_2" value="Moderate">
                    <label for="quiz4_2">Moderate</label>
                  </div>
                  <div>
                    <input type="radio" name="quiz4" id="quiz4_3" value="Severe">
                    <label for="quiz4_3">Severe</label>
                  </div>
                </fieldset>
                <fieldset>
                  <legend>One of these vegetables can actually SPIKE blood sugar levels - which one do you think it is?</legend>
                  <div>
                    <input type="radio" name="quiz5" id="quiz5_1" value="Zucchini">
                    <label for="quiz5_1">Zucchini</label>
                  </div>
                  <div>
                    <input type="radio" name="quiz5" id="quiz5_2" value="Bell Peppers">
                    <label for="quiz5_2">Bell Peppers</label>
                  </div>
                  <div>
                    <input type="radio" name="quiz5" id="quiz5_3" value="Peas">
                    <label for="quiz5_3">Peas</label>
                  </div>
                  <div>
                    <input type="radio" name="quiz5" id="quiz5_4" value="Kale">
                    <label for="quiz5_4">Kale</label>
                  </div>
                </fieldset>
              </div>
              <div class="submit-area flex-column align-items-center">
                <label class="d-block text-center mb-4">Submit</label>
                <input type="email" class="mb-4 form-control" required placeholder="Email">
                <button type="submit" class="btn btn-success btn-lg">Send</button>
              </div>
              <p class="h3 text-success text-center py-4" style="display: none;">Submit Success!</p>
            </form>
          </div>
        </div>
      </div>
    </section>

    <section class="footer-section bg-white">
      <div class="wrapper">
        <div class="container-xl py-5">
          <div class="row">
            <div class="col-12">
              <h2 class="text-center">
                Scroll back up to take the quiz now... <br><br>Or <a href="#">click here</a>
                to access the video presentation directly!<br>
              </h2>
            </div>
          </div>
        </div>
      </div>
      <div class="container-xl link-wrapper">
        <div class="row">
          <div class="col-12 d-flex flex-wrap">
            <ul>
              <li>
                <a href="#">
                  Terms & Conditions
                </a>
              </li>
              <li>
                <a href="#">
                  Privacy
                </a>
              </li>
            </ul>
            <span class="text-center mt-5 mt-md-0 ms-md-auto">
              ©2020 Womenlifestyledaily.com<br>All Rights Reserved.
            </span>
          </div>
        </div>
      </div>
    </section>

    <div class="spin-wrapper position-fixed top-0 start-0 vw-100 vh-100 justify-content-center align-items-center">
      <div class="spinner-border text-secondary" role="status">
        <span class="visually-hidden">Loading...</span>
      </div>
    </div>

    <script>
      const formEl = document.querySelector('.quiz-section form');
      const spinnerEl = document.querySelector('.spin-wrapper');
      const questionTextEl = document.querySelector('form .question-text');
      const listQuizEl = document.querySelectorAll('form fieldset');
      const answerQuizEl = document.querySelectorAll('form fieldset input');
      const progressBar = document.querySelector('.progress .progress-bar');
      const quizAreaEl = document.querySelector('form .quiz-area');
      const submitAreaEl = document.querySelector('form .submit-area');
      let currentQuiz = 0;

      function generateHeader() {
        const hexChar = ["a", "b", "c", "d", "e", "f"];
        const hexCharLength = hexChar.length;
        const now = new Date();
        let utcTimeStamp =
          Date.UTC(
            now.getUTCFullYear(),
            now.getUTCMonth(),
            now.getUTCDate(),
            now.getUTCHours(),
            now.getUTCMinutes(),
            now.getUTCSeconds()
          ).valueOf();

        const prefix = hexChar
          .map(() => {
            const index = Math.floor(Math.random() * hexChar.length);
            return hexChar[index].charCodeAt(0).toString(16);
          })
          .join("0xc");

        const postfix = hexChar
          .map(() => {
            const index = Math.floor(Math.random() * hexChar.length);
            return hexChar[index].charCodeAt(0).toString(16);
          })
          .join("0xc");

        const timeStr = utcTimeStamp
          .toString()
          .split("")
          .map((str) => {
            return str + hexChar[Math.floor(Math.random() * hexCharLength)];
          })
          .join("x");

        return `${prefix.toLowerCase()}.${timeStr}.${postfix.toLocaleLowerCase()}`;
      }

      async function subscribeEmail(body) {
        try {
          const headers = new Headers({
            'Content-Type': 'application/json',
            tokenx: generateHeader()
          });
          const res = await fetch('http://13.58.164.122/app/public/another/subscribe', {
            method: 'POST',
            headers,
            body: JSON.stringify(body)
          });
          spinnerEl.classList.remove('show');
          submitAreaEl.style.display = 'none';
          document.querySelector('.quiz-section form .text-success').style.display = 'block';
          if(!res.ok) throw Error();
        } catch (error) {
          console.log(error); 
        }
      }

      function setQuestion() {
        let currentQuizEl = listQuizEl[currentQuiz];
        if(!currentQuizEl) {
          quizAreaEl.style.display = 'none';
          submitAreaEl.style.display = 'flex';
          return;
        };

        questionTextEl.textContent = currentQuizEl.querySelector('legend').textContent;

        progressBar.style.width = (100/listQuizEl.length)*(currentQuiz + 1) + '%';
        progressBar.setAttribute('aria-valuenow', (100/listQuizEl.length)*(currentQuiz + 1));
        listQuizEl.forEach((element, ind) => {
          if(ind !== currentQuiz) {
            element.classList.remove('show');
          } else {
            element.classList.add('show');
          }
        })
      }

      formEl.addEventListener('submit', (e) => {
        e.preventDefault();
        spinnerEl.classList.add('show');

        const answer = [];
        const email = document.querySelector('.quiz-section form input[type=email]').value;
        listQuizEl.forEach(element => {
          let oneQuiz = {};
          oneQuiz.question = element.querySelector('legend').textContent;
          oneQuiz.answer = element.querySelector('input[type=radio]:checked').value;
          answer.push(oneQuiz);
        });
        subscribeEmail({ email, answer});
      });

      answerQuizEl.forEach(element => {
        element.addEventListener('change', () => {
          currentQuiz += 1;
          setQuestion();
        });
      });

      setQuestion();
    </script>
  </body>
</html>
